### Signal

# RB Player::buffering

#### Declaration

    void
    buffering (
      RBPlayer* self,
      gpointer stream_data,
      guint progress,
      gpointer user_data
    )

#### Description [src]

The ‘buffering’ signal is emitted while a stream is paused so that a buffer can be filled. The progress value typically varies from 0 to 100, and once it reaches 100, playback resumes.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`stream_data`

  Type: `gpointer`

  The data associated with the buffering stream.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`progress`

  Type: `guint`

  Buffering percentage.